Bug 1257278 - (CVE-2015-4498) CVE-2015-4498 Mozilla: Add-on notification bypass through data URLs (MFSA 2015-95)
CVE-2015-4498 Mozilla: Add-on notification bypass through data URLs (MFSA 201...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150827,repo...
: Security
Depends On:
Blocks: 1257106
  Show dependency treegraph
 
Reported: 2015-08-26 11:54 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-11-03 06:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way Firefox handled installation of add-ons. An attacker could use this flaw to bypass the add-on installation prompt, and trick the user into installing an add-on from a malicious source.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-28 00:50:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-08-26 11:54:46 EDT
Security researcher Bas Venis reported a mechanism where add-ons could be installed from a different source than user expectations. Normally, when a user enters the URL to an add-on directly in the addressbar, warning prompts are bypassed because it is the result of direct user action. He discovered that a data: URL could be manipulated on a loaded page to simulate this direct user input of the add-on's URL, which would result in a bypassing of the install permission prompt. He also reported that in the absence of the permission prompt, it is possible to cause the actual installation prompt to appear above another site's location by causing a page navigation immediately after triggering add-on installation. This could manipulate a user into falsely believing a trusted site (such as addons.mozilla.org) has initiated the installation. This could lead to users installing an add-on from a malicious source.


External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-95.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Bas Venis as the original reporter.
Comment 1 errata-xmlrpc 2015-08-27 17:18:35 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2015:1693 https://rhn.redhat.com/errata/RHSA-2015-1693.html

Note You need to log in before you can comment on or make changes to this bug.